# This file is included as part of the main repository .gitlab-ci.yml file

test gcp connection:
  environment:
    name: gcp
  stage: test
  image: google/cloud-sdk:latest
  before_script:
    - gcloud auth activate-service-account "${GEOSPHERE_DEPLOY_GCP_SA_EMAIL}" --key-file="{GEOSPHERE_DEPLOY_GCP_SA_KEY}"
  script:
    - gcloud compute instances list
    - if [ "${GEOSPHERE_DEPLOY_GCP_CLUSTER_NAME}" != null ]; then
        gcloud container clusters get-credentials "${GEOSPHERE_DEPLOY_GCP_CLUSTER_NAME}" --zone "${GEOSPHERE_DEPLOY_GCP_ZONE_NAME}";
        kubectl get all;
      fi

